# apache_sling_api_client

ApacheSling - the Ruby gem for the Apache Sling Resource API

API for interacting with a Sling system.

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 0.1.0
- Build date: 2016-11-30T09:27:33.535-06:00
- Build package: class io.swagger.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build apache_sling_api_client.gemspec
```

Then either install the gem locally:

```shell
gem install ./apache_sling_api_client-0.1.0.gem
```
(for development, run `gem install --dev ./apache_sling_api_client-0.1.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'apache_sling_api_client', '~> 0.1.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/bstopp/apache-sling-api-client-gem, then add the following in the Gemfile:

    gem 'apache_sling_api_client', :git => 'https://github.com/bstopp/apache-sling-api-client-gem.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'apache_sling_api_client'

# Setup authorization
ApacheSling.configure do |config|
  # Configure HTTP basic authorization: basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = ApacheSling::DefaultApi.new

resource = "resource_example" # String | The relative path to the resource.


begin
  #Get a resource
  result = api_instance.resource(resource)
  p result
rescue ApacheSling::ApiError => e
  puts "Exception when calling DefaultApi->resource: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:8080/*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ApacheSling::DefaultApi* | [**resource**](docs/DefaultApi.md#resource) | **GET** /{resource}.json | Get a resource


## Documentation for Models



## Documentation for Authorization


### basic

- **Type**: HTTP basic authentication

